Skala
Stock take items

List all stock take items

Fetches a complete list of stock take item records available in the system.

GET
/api/stock_take_items

Fetches a complete list of stock take item records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_take_items"
[
  {
    "id": 0,
    "stockVariant": "/entity/1",
    "category": "/entity/1",
    "internalBarcode": "string",
    "supplierBarcode": "string",
    "registeredBarcode": "string",
    "batchBarcode": "string",
    "batchNumber": "string",
    "note": "string",
    "quantity": "string",
    "batch": "/entity/1",
    "stockTake": "/entity/1",
    "inStock": "string",
    "discrepancy": "string",
    "trackType": "string",
    "company": "/entity/1",
    "createdBy": "/entity/1",
    "updatedBy": "/entity/1",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z"
  }
]